SSHD-CHECK-CONF(5)

NAME
sshd-check-conf - check what your configuration allows or denies based on incoming user and/or host name.

SYNOPSIS
sshd-check-conf [-d debug_level ] [-v ] [-V ] [-h ] [-f config_file ] [[user@]host ... ]

DESCRIPTION

Sshd-check-conf will check how sshd2 will react to an incoming user, based on the user name and the remote host name given as parameters. Currently, AllowHosts, DenyHosts, AllowSHosts, DenySHosts, AllowUsers, DenyUsers, AllowGroups, DenyGroups, ChrootUsers, ChrootGroups, AllowTcpForwardingForUsers, DenyTcpForwardingForUsers, AllowTcpForwardingForGroups and DenyTcpForwardingForGroups parameters are checked.

OPTIONS

-d debug_level_spec
    Debug mode. The debugging level is either a number, or a comma-separated list of assignments "ModulePattern=debug_level".

-v  Enable verbose mode. Display verbose debugging messages. Equal to `-d 2'.

-V  Display version string.

-h  Display a short help on command-line options.

-f configuration_file
    Specifies the name of the configuration file. The default is /etc/ssh2/sshd2_config or $HOME/.ssh2/sshd2_config, depending on who is running the program, root or normal user.

BEHAVIOR
Any non-options presented on the command line will be regarded as [user@]host patterns (that is, the user part is optional). This pattern is then parsed, and it will be checked whether the host part is a valid IP address. If it is, the host name is looked up from the DNS. Otherwise, the host part is regarded as a host name, and the corresponding IP addresses will be queried from the DNS. If no patterns are specified on the command line, sshd-check-conf will go into interactive mode, where the patterns can be given one at a time, and they will be checked. You can specify multiple patterns on the command line.

EXAMPLES

% sshd-check-conf -f /etc/ssh2/sshd2_config sjl@ssh.com % sshd-check-conf -f /etc/ssh2/sshd2_config luser1@evil.org luser2@aol.com % sshd-check-conf

AUTHORS

SSH Communications Security Corp For more information, see http://www.ssh.com.

SEE ALSO
sshd2(8), sshd2_config(5)